
/*
 *Copyright:

 Copyright (C) Hossein Mobasher

 This code is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2, or (at your option)
 any later version.

 This code is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this code; see the file COPYING.  If not, write to
 the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

 *EndCopyright:
 */

/////////////////////////////////////////////////////////////////////

#ifndef BODY_PENALTY_AREA_PASS_H
#define BODY_PENALTY_AREA_PASS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "WorldModel.h"
#include <rcsc/action/obsolete/body_kick_multi_step.h>

/*!
	@author <Hosein@Mobasher>
	all right reserved by robosampad team.
	Copy Right (c) RoboSampad 2D Soccer Simulation Team.
*/

namespace rcsc {

class Body_PenaltyAreaPass:
      public rcsc::SoccerBehavior {

private :
	WorldModelHighLevel WM;
public:
    Body_PenaltyAreaPass()
    {
    }

    bool execute( PlayerAgent * agent );

    void get_point_for_pos( PlayerAgent * agent , Vector2D v , int & point );

    double prob( PlayerAgent * agent , Vector2D v );


    double getEndSpeedForPass( rcsc::PlayerAgent * agent , rcsc::Vector2D posPass );


};

}

#endif
